{
  description = "POSIX locale testing";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    cargo2nix.url = "github:cargo2nix/cargo2nix";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, cargo2nix, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem (system:
        let
            pkgs = import nixpkgs { inherit system; };
            c2n = import cargo2nix { inherit system; };
        in {
            devShells.default = pkgs.mkShell {
                name = "locale-devshell";
                buildInputs = [
                    # c2n.cargo2nix
                    pkgs.gtk4
                    pkgs.gtkd
                    pkgs.libadwaita
                    pkgs.pkg-config
                    pkgs.rustup
                ];
            };

            packages.hello = nixpkgs.legacyPackages.x86_64-linux.hello;

            packages.default = self.packages.x86_64-linux.hello;
        });
}

